# QCA::PBKDF1 Class Reference
[QCA user API]

Password based key derivation function version 1. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::PBKDF1:

Collaboration diagram for QCA::PBKDF1:

[legend]

List of all members.

## Public Member Functions

| PBKDF1 (const QString &algorithm="sha1", const QString &provider=QString())

## Detailed Description

Password based key derivation function version 1.

This class implements Password Based Key Derivation Function version 1, as specified in RFC2898, and also in PKCS#5.

## Constructor & Destructor Documentation

QCA::PBKDF1::PBKDF1 | ( | const QString & | algorithm = `"sha1"`,
|  | const QString & | provider = `QString()` |
| ) |  |  | `[inline, explicit]`

Standard constructor.

Parameters:

  | algorithm | the name of the hashing algorithm to use
  | provider | the name of the provider to use, if available

The documentation for this class was generated from the following file:

- qca_basic.h